<template>
  <div class="homepage-content">
    <div class="homepage-header-block">
      <div class="main-content">
        <div class="header-text">
          участвуй
          <br />в переписи населения
          <span class="year">2020</span>
          <div class="description">и получи бесплатные бонусы на выбор</div>
          <button class="btn">Участвовать</button>
        </div>
        <div class="header-image">
          <img alt="Vue logo" src="@/assets/images/header-image.svg" />
        </div>
      </div>
    </div>
    <div class="homepage-maincontent-block">
      <h2 class="homepage-maincontent-heading">Это может быть вам интересно</h2>
      <div class="category-slider-wraper">
        <div class="main-content">
          <div class="category-slider">
            <a class="btn round blue">Образование</a>
            <a class="btn round blue">Здоровье</a>
            <a class="btn round blue">Семья</a>
            <a class="btn round blue">Карьера</a>
            <a class="btn round blue">Экология</a>
            <a class="btn round blue">Бизнес</a>
          </div>
        </div>
      </div>
      <div class="main-content">
        <div class="stats-cards-block">
          <div
            class="stats-card"
            @click="$router.push(card.route)"
            v-for="(card, index) in cardsData"
            :key="`card-${index}`"
          >
            <div class="card-image">
              <img :src="card.image" />
            </div>
            <div class="card-title">{{ card.name }}</div>
            <div class="card-content">{{ card.description }}</div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";

@Component({
  components: {}
})
export default class HomePage extends Vue {
  cardsData: Array<{
    image: string;
    name: string;
    description: string;
    route: any;
  }> = [
    {
      image: require("@/assets/images/man.png"),
      name: "Перепись населения",
      description: "для чего она важна прежде всего гражданам",
      route: { name: "stats-people" }
    },
    {
      image: require("@/assets/images/wedding.jpg"),
      name: "Какие месяцы",
      description: "самые популярные у молодоженов",
      route: { name: "stats-wedding" }
    },

    {
      image: require("@/assets/images/city.png"),
      name: "Количество детей",
      description:
        "в частных домовладениях, по наиболее многочисленным национальностям",
      route: { name: "stats" }
    },
    {
      image: require("@/assets/images/phone.png"),
      name: "В каких городах",
      description: "активный прирост платежеспособной аудитории",
      route: { name: "stats" }
    },
    {
      image: require("@/assets/images/laptop.png"),
      name: "Количество женщин",
      description: "управленцев в России",
      route: { name: "stats" }
    },
    {
      image: require("@/assets/images/it.png"),
      name: "Заголовок",
      description: "текст под заголовком",
      route: { name: "stats" }
    },
    {
      image: require("@/assets/images/it.png"),
      name: "Заголовок",
      description: "текст под заголовком",
      route: { name: "stats" }
    },
    {
      image: require("@/assets/images/it.png"),
      name: "Заголовок",
      description: "текст под заголовком",
      route: { name: "stats" }
    }
  ];
}
</script>
